QGIS Application - Bug report #15747
SAGA support broken for SAGA LTR version
2016-10-24 08:05 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee: Giovanni Manghi

Category: Processing/SAGA

Affected QGIS version:2.18.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 23669
Description

Now that SAGA has an LTR policy, it is important to support it, by:
- adding SAGA LTR to Osge4W and OSX installers
- adding support for the changed syntax for 2.3.

History

#1 - 2016-10-25 02:52 AM - Paolo Cavallini
- Subject changed from SAGA support broken for SAG LTR version to SAGA support broken for SAGA LTR version

To obtain the list of options to change, just download both interface descriptions from the wiki:

https://sourceforge.net/p/saga-gis/wiki/Changelog%202.2.3/attachment/saga_cmd_interface v2 2 3.txt

https://sourceforge.net/p/saga-gis/wiki/Changelog%202.3.0/attachment/saga_cmd_interface v2 3 0.txt

Then do a diff between both files and pipe the result into a changes.txt:

diff saga_cmd_interface_v2_2_3.txt saga_cmd_interface_v2_3_0.txt > changes.txt

#2 - 2017-05-01 01:02 AM - Giovanni Manghi
- Easy fix? set to No

- Regression? set to No

#3 - 2017-06-01 01:02 AM - Pedro Venancio

Is this one still true Paolo?
commit:f568ca2b85deb05d3c76887f26901bfe09ce029f
https://trac.0sgeo.org/osgeodw/ticket/527

#16422
#16423

#4 - 2017-06-01 08:52 AM - Paolo Cavallini
- Description updated
https://sourceforge.net/p/saga-gis/wiki/Changelog%202.2.3/attachment/saga_cmd_interface_v2_2_3.txt
https://sourceforge.net/p/saga-gis/wiki/Changelog%202.3.0/attachment/saga_cmd_interface_v2_3_0.txt
https://trac.osgeo.org/osgeo4w/ticket/527

On Debian Sid we have SAGA 2.3.1+dfsg-3, and many commands do not seem to be working.

#5 - 2017-06-01 11:41 AM - Giovanni Manghi

- Assignee changed from Victor Olaya to Giovanni Manghi

- Status changed from Open to Feedback

Paolo Cavallini wrote:

On Debian Sid we have SAGA 2.3.1+dfsg-3, and many commands do not seem to be working.

make some example, or better a complete list so we can fix them. Anyway the original description and title are now not anymore appropriate. SAGA Itr is

supported on all platforms, and if there are specific modules not working then single tickets should be opened for each one (and this ticket closed).

#6 - 2017-06-01 11:47 AM - Paolo Cavallini

Checking modules one by one is an enormous amount of work, done already over and over. | think we have to find a better solution here.

Thanks for your feedback.

#7 - 2017-06-01 11:50 AM - Giovanni Manghi

Paolo Cavallini wrote:

Checking modules one by one is an enormous amount of work, done already over and over. | think we have to find a better solution here.

Thanks for your feedback.

Is SAGA LTR supported and working on Debian Sid and qgis 2.18.9 in general (beside the modules that needs file descriptions updates/changes)?

#8 - 2017-06-01 12:00 PM - Paolo Cavallini

Yes.

#9 - 2017-06-01 01:28 PM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to fixed/implemented

Paolo Cavallini wrote:

Yes.

if yes then this ticket can be closed (there is also already a ticket about SAGA/GRASS issues on master).

Iffwhen a SAGA LTR module is found to be not working then file a single ticket about it and assign it to me. A revision of SAGA ltr modules is planned
anyway in time for QGIS 2.18 when it will become LTR.
